package de.juplo.yourshouter;

import javax.inject.Inject;

import org.springframework.social.facebook.api.Facebook;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;


/**
 * Controller, that handles requests to the root of the application.
 *
 * @author Kai Moritz
 */
@Controller
public class ProfileController
{
  private final Facebook facebook;


  @Inject
  public ProfileController(Facebook facebook)
  {
    this.facebook = facebook;
  }


  @RequestMapping(value = "/profile.html", method = RequestMethod.GET)
  public String show(Model model)
  {
    model.addAttribute("profile", facebook.userOperations().getUserProfile());
    return "profile";
  }
}
